@font-face {
    font-family: BreePeru_Bold;
    src: url(../fonts/BreePeru_Bold.woff), url(../fonts/BreePeru_Bold.eot), url(../fonts/BreePeru_Bold.ttf);
    font-display: swap;
}

@font-face {
    font-family: BreePeru_Regular;
    src: url(../fonts/BreePeru_Regular.woff), url(../fonts/BreePeru_Regular.eot), url(../fonts/BreePeru_Regular.ttf);
    font-display: swap;
}

@font-face {
    font-family: BreePeru_Light;
    src: url(../fonts/BreePeru_Light.woff), url(../fonts/BreePeru_Light.eot), url(../fonts/BreePeru_Light.ttf);
    font-display: swap;
}

@font-face {
    font-family: ClanOffc-Bold;
    src: url(../fonts/ClanOffc-Bold.woff), url(../fonts/ClanOffc/ClanOffc-Bold.eot), url(../fonts/ClanOffc/ClanOffc-Bold.ttf), url(../fonts/ClanOffc/ClanOffc-Bold.svg), url(../fonts/ClanOffc/ClanOffc-Bold.woff2);
    font-display: swap;
}

@font-face {
    font-family: ClanOffc-Book;
    src: url(../fonts/ClanOffc-Book.woff), url(../fonts/ClanOffc/ClanOffc-Book.eot), url(../fonts/ClanOffc/ClanOffc-Book.ttf), url(../fonts/ClanOffc/ClanOffc-Book.svg), url(../fonts/ClanOffc/ClanOffc-Book.woff2);
    font-display: swap;
}

@font-face {
    font-family: ClanOffc-Medium;
    src: url(../fonts/ClanOffc-Medium.woff), url(../fonts/ClanOffc/ClanOffc-Medium.eot), url(../fonts/ClanOffc/ClanOffc-Medium.ttf), url(../fonts/ClanOffc/ClanOffc-Medium.svg), url(../fonts/ClanOffc/ClanOffc-Medium.woff2);
    font-display: swap;
}

@font-face {
    font-family: ClanOffc-News;
    src: url(../fonts/ClanOffc-News.woff), url(../fonts/ClanOffc/ClanOffc-News.eot), url(../fonts/ClanOffc/ClanOffc-News.ttf), url(../fonts/ClanOffc/ClanOffc-News.svg), url(../fonts/ClanOffc/ClanOffc-News.woff2);
    font-display: swap;
}

*:focus {
    outline: none;
}


#divIngresoModal,
#divRegistroModal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    display: flex;
    align-items: center;
}

#divIngresoLayer,
#divRegistroLayer {
    top: 0;
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.6);
}

#divIngresoContainer,
#divRegistroContainer {
    position: relative;
    width: 380px;
    max-width: 380px;
    margin: 0 auto;
    background: #ffffff;
    border-radius: 25px;
    padding: 32px;
    z-index: 2;
    box-shadow: 0 10px 30px rgba(0,0,0,0.2);
    font-family: Arial, sans-serif;
}

#btnCerrarIngreso,
#btnCerrarRegistro {
    position: absolute;
    top: 0px;
    right: -36px;
    border: none;
    width: 22px;
    height: 22px;
    cursor: pointer;
    background: url("../images/login/cerrar.svg") no-repeat;
    background-size: contain;
}

#divIngresoHeader,
#divRegistroHeader {
    text-align: center;
    margin-bottom: 20px;
}

#lblTitulo {
    display: block;
    font-family: 'ClanOffc-Bold';
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 10px;
    color: #000000;
}

#lblSubTitulo {
    display: block;
    font-family: 'ClanOffc-Book';
    font-size: 16px;
    line-height: 24px;
    color: #000000;
}

#frmIngreso,
#frmRegistro {
    width: 100%;
}

    #frmIngreso p,
    #frmRegistro p {
        margin-bottom: 10px;
        position: relative;
    }

        #frmIngreso p .btnContrasenaToggle,
        #frmRegistro p .btnContrasenaToggle {
            position: absolute;
            width: 20px;
            height: 20px;
            right: 15px;
            top: 37px;
            border: 0;
            cursor: pointer;
            background: url("../images/login/contrasena-ocultar.svg") no-repeat;
            background-size: contain;
        }

            #frmIngreso p .btnContrasenaToggle.active,
            #frmRegistro p .btnContrasenaToggle.active {
                background: url("../images/login/contrasena-mostrar.svg") no-repeat;
                background-size: contain;
            }

        #frmIngreso p label,
        #frmRegistro p label {
            font-family: 'ClanOffc-Book';
            font-size: 14px;
            color: #636363;
            margin-bottom: 3px;
        }

        #frmIngreso p input,
        #frmRegistro p input {
            width: 100%;
            padding: 8px 40px 8px 15px;
            border: 1px solid #ddd;
            border-radius: 14px;
            font-family: 'ClanOffc-Book';
            font-size: 14px;
            outline: none;
            height: 50px;
        }

            #frmIngreso p input:focus,
            #frmRegistro p input:focus {
                border-color: #00a19a;
            }

#txtCorreo {
    background: url("../images/login/usuario.svg") no-repeat !important;
    background-position: 15px 13px !important;
    background-size: 23px !important;
    padding: 10px 40px 10px 50px !important;
}

#txtPassword {
    background: url("../images/login/contrasena.svg") no-repeat !important;
    background-position: 15px 13px !important;
    background-size: 23px !important;
    padding: 10px 40px 10px 50px !important;
}

#frmIngreso p span,
#frmRegistro p span {
    display: none;
}

#frmIngreso p.error-txt input,
#frmRegistro p.error-txt input {
    border: 1px solid #E92C2C;
}

#frmIngreso p.error-txt span,
#frmRegistro p.error-txt span {
    width: 100%;
    font-family: 'ClanOffc-Book';
    font-size: 12px;
    color: #E92C2C;
    display: block;
    margin-top: 5px;
}

#lnkOlvidoContrasena {
    display: block;
    text-align: center;
    margin: 20px auto 15px;
    font-family: 'ClanOffc-Medium';
    font-size: 13px;
    color: #3D9B93;
    text-decoration: underline;
}

#btnIngreso,
#btnRegistro {
    width: 100%;
    padding: 16px;
    border: none;
    border-radius: 35px;
    background: #3D9B93;
    color: #fff;
    cursor: pointer;
    font-family: 'ClanOffc-Bold';
    font-size: 16px;
    margin-top: 10px;
}

    #btnIngreso:disabled,
    #btnRegistro:disabled {
        background: #A7A7A7;
    }


#divRegistro {
    text-align: center;
    margin-top: 10px;
}

    #divRegistro label {
        display: block;
        font-family: 'ClanOffc-Book';
        font-size: 16px;
        color: #000000;
    }

    #divRegistro a {
        display: block;
        font-family: 'ClanOffc-Bold';
        font-size: 16px;
        color: #3D9B93;
        text-decoration: underline;
    }

#divSeparador {
    text-align: center;
    margin: 20px 0 10px 0;
    position: relative;
}

    #divSeparador:before,
    #divSeparador:after {
        content: "";
        position: absolute;
        top: 50%;
        width: 25%;
        height: 1px;
        background: #ddd;
    }

    #divSeparador:before {
        left: 0;
    }

    #divSeparador:after {
        right: 0;
    }

    #divSeparador label {
        display: block;
        font-family: 'ClanOffc-Bold';
        font-size: 14px;
        color: #636363;
    }

#divSocial {
    text-align: center;
    margin-bottom: 20px;
}

#btnGoogle,
#btnApple {
    width: 31px;
    height: 31px;
    border-radius: 50%;
    border: none;
    background: #fff;
    margin: 0 10px;
    cursor: pointer;
}

#btnGoogle {
    background: url("../images/login/google.svg") no-repeat;
    background-size: contain;
}

#btnApple {
    background: url("../images/login/apple.svg") no-repeat;
    background-size: 30px;
    background-position: center;
}

#divTerminos {
    text-align: center;
}

#lblTerminos {
    font-family: 'ClanOffc-Book';
    font-size: 12px;
    color: #636363;
    white-space: nowrap;
}

    #lblTerminos a {
        color: #636363;
        text-decoration: underline;
    }

#btnVerDestinos {
    width: 100%;
    padding: 16px;
    border: none;
    border-radius: 35px;
    background: #3D9B93;
    color: #fff;
    cursor: pointer;
    font-family: 'ClanOffc-Bold';
    font-size: 16px;
    display: block;
    text-align: center;
}

#check {
    width: 55px;
    height: 55px;
    border: none;
    margin: 0 auto 20px auto;
    background: url("../images/login/check.svg") no-repeat;
    background-size: contain;
    display: table;
}

.btnIrIngresa {
    font-family: 'ClanOffc-Book';
    font-size: 12px;
    color: #636363;
    white-space: nowrap;
    background: url("../images/login/prev.svg") no-repeat;
    background-size: contain;
    border: none;
    padding: 1px 0 1px 20px;
    outline: none;
    margin: 0 0 10px 0;
    display: flex;
}


body.dark #divIngresoContainer,
body.dark #divRegistroContainer {
    background: #242527 !important;
}

body.dark #lblTitulo,
body.dark #lblTerminos,
body.dark #divSeparador label,
body.dark #divRegistro label,
body.dark #lblTerminos a {
    color: #ffffff !important;
}

body.dark #lblSubTitulo,
body.dark #frmIngreso p label,
body.dark #frmRegistro p label {
    color: #ffffff !important;
    opacity: 0.75;
}

body.dark #btnApple {
    background: url("../images/login/apple-dark.svg") no-repeat;
    background-size: 30px;
    background-position: center;
}

body.dark #frmIngreso p input,
body.dark #frmRegistro p input {
    background: none;
}

body.dark .btnIrIngresa {
    filter: brightness(0) invert(1);
}

@media (max-height: 690px) {

    #divIngresoContainer,
    #divRegistroContainer {
        width: 360px;
    }

    #divIngresoHeader,
    #divRegistroHeader {
        margin-bottom: 10px;
    }

    #lblTitulo {
        font-size: 16px;
        margin-bottom: 6px;
    }

    #lblSubTitulo {
        font-size: 14px;
        line-height: 20px;
    }

    #frmIngreso p,
    #frmRegistro p {
        margin-bottom: 7px;
    }

        #frmIngreso p .btnContrasenaToggle,
        #frmRegistro p .btnContrasenaToggle {
            width: 18px;
            height: 18px;
            top: 32px;
        }

        #frmIngreso p label,
        #frmRegistro p label {
            font-size: 12px;
            margin-bottom: 3px;
        }

        #frmIngreso p input,
        #frmRegistro p input {
            border-radius: 10px;
            font-size: 13px;
            height: 45px;
        }

    #txtCorreo {
        background-position: 15px 10px !important;
        background-size: 20px !important;
        padding: 8px 40px 8px 46px !important;
    }

    #txtPassword {
        background-position: 15px 10px !important;
        background-size: 20px !important;
        padding: 8px 40px 8px 46px !important;
    }

    #frmIngreso p.error-txt span,
    #frmRegistro p.error-txt span {
        font-size: 11px;
        margin-top: 4px;
    }

    #lnkOlvidoContrasena {
        margin: 12px auto 10px;
        font-size: 13px;
    }

    #btnIngreso,
    #btnRegistro {
        padding: 10px;
        font-size: 14px;
        margin-top: 5px;
    }

    #divRegistro {
        margin-top: 8px;
    }

        #divRegistro label,
        #divRegistro a {
            font-size: 14px;
        }

    #divSeparador {
        margin: 12px 0 8px 0;
    }

        #divSeparador label {
            font-size: 13px;
        }

    #divSocial {
        margin-bottom: 12px;
    }

    #btnGoogle,
    #btnApple {
        width: 28px;
        height: 28px;
    }

    #btnApple {
        background-size: 27px;
    }

    #lblTerminos {
        font-size: 11px;
    }

    #btnVerDestinos {
        padding: 12px;
        font-size: 15px;
    }

    #check {
        width: 45px;
        height: 45px;
        margin: 0 auto 14px auto;
    }

    .btnIrIngresa {
        font-size: 11px;
        margin: 0 0 8px 0;
    }
}

@media screen and (max-width:768px) {
    #divIngresoContainer,
    #divRegistroContainer {
        width: 90%;
        margin-top: 25px;
        padding: 25px 30px;
    }

    #frmIngreso p input,
    #frmRegistro p input {
        height: 40px;
    }

    #btnCerrarIngreso,
    #btnCerrarRegistro {
        top: -30px;
        right: 0;
    }

    #lblTerminos {
        white-space: normal;
    }
}

input[type="password"]::-ms-reveal,
input[type="password"]::-ms-clear {
    display: none !important;
}

input[type="password"]::-webkit-textfield-decoration-container,
input[type="password"]::-webkit-clear-button,
input[type="password"]::-webkit-inner-spin-button,
input[type="password"]::-webkit-reveal-button {
    display: none !important;
}